using System;

namespace kvadratipetlja
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] tokeni1 = Console.ReadLine().Split();
            string[] tokeni2 = Console.ReadLine().Split();
            int x1 = int.Parse(tokeni1[0]);
            int y1 = int.Parse(tokeni1[1]);
            int x2 = int.Parse(tokeni2[0]);
            int y2 = int.Parse(tokeni2[1]);
            if(x1 == x2 || y1==y2)
            {
                Console.WriteLine(2);
            }
            else
            {
                Console.WriteLine(1);
            }

        }
    }
}